Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ObjectReferenceTemplateC.cpp File Reference

`#include "ObjectReferenceTemplateC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/ValueFactory.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "ObjectReferenceTemplateC.i"`

Include dependency graph for ObjectReferenceTemplateC.cpp:

## Defines
#define | __TAO_UNBOUNDED_VALUETYPE_SEQUENCE_PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ_CS_
#define | _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ServerId (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_ServerId),(char *)&_oc_PortableInterceptor_ServerId, 0, sizeof(PortableInterceptor::ServerId))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(PortableInterceptor) TAO_NAMESPACE_DEFINE(
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ORBId (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_ORBId),(char *)&_oc_PortableInterceptor_ORBId, 0, sizeof(PortableInterceptor::ORBId))
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_AdapterName (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_AdapterName),(char *)&_oc_PortableInterceptor_AdapterName, 0, sizeof(PortableInterceptor::AdapterName))
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ObjectId (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_ObjectId),(char *)&_oc_PortableInterceptor_ObjectId, 0, sizeof(PortableInterceptor::ObjectId))
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ObjectReferenceFactory (CORBA::tk_value, sizeof(_oc_PortableInterceptor_ObjectReferenceFactory),(char *)&_oc_PortableInterceptor_ObjectReferenceFactory, 0, sizeof(PortableInterceptor::ObjectReferenceFactory))
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ObjectReferenceTemplate (CORBA::tk_value, sizeof(_oc_PortableInterceptor_ObjectReferenceTemplate),(char *)&_oc_PortableInterceptor_ObjectReferenceTemplate, 0, sizeof(PortableInterceptor::ObjectReferenceTemplate))
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ObjectReferenceTemplateSeq (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_ObjectReferenceTemplateSeq),(char *)&_oc_PortableInterceptor_ObjectReferenceTemplateSeq, 0, sizeof(PortableInterceptor::ObjectReferenceTemplateSeq))
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_AdapterManagerId (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_AdapterManagerId),(char *)&_oc_PortableInterceptor_AdapterManagerId, 0, sizeof(PortableInterceptor::AdapterManagerId))
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_AdapterState (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_AdapterState),(char *)&_oc_PortableInterceptor_AdapterState, 0, sizeof(PortableInterceptor::AdapterState))
TAO_Export void | operator<<= (CORBA::Any &any, PortableInterceptor::ObjectReferenceFactory **value)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &any, PortableInterceptor::ObjectReferenceFactory *&value)
TAO_Export void | operator<<= (CORBA::Any &any, PortableInterceptor::ObjectReferenceTemplate *value)
TAO_Export void | operator<<= (CORBA::Any &any, PortableInterceptor::ObjectReferenceTemplate **value)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &any, PortableInterceptor::ObjectReferenceTemplate *&value)
void | operator<<= (CORBA::Any &_tao_any, const PortableInterceptor::ObjectReferenceTemplateSeq &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ObjectReferenceTemplateSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::ObjectReferenceTemplateSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const PortableInterceptor::ObjectReferenceTemplateSeq *&_tao_elem)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableInterceptor::ObjectReferenceFactory *_tao_valuetype)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, PortableInterceptor::ObjectReferenceFactory *&_tao_valuetype)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableInterceptor::ObjectReferenceTemplate *_tao_valuetype)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, PortableInterceptor::ObjectReferenceTemplate *&_tao_valuetype)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableInterceptor::ObjectReferenceTemplateSeq &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, PortableInterceptor::ObjectReferenceTemplateSeq &_tao_sequence)
## Variables
const CORBA::Long | _oc_PortableInterceptor_ServerId []
const CORBA::Long | _oc_PortableInterceptor_ObjectReferenceTemplate []
const CORBA::Long | _oc_PortableInterceptor_ObjectReferenceTemplateSeq []

## Define Documentation

#define __TAO_UNBOUNDED_VALUETYPE_SEQUENCE_PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ_CS_

#define _PORTABLEINTERCEPTOR_OBJECTREFERENCETEMPLATESEQ_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_AdapterManagerId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_AdapterManagerId) | ,
|  | (char *)& | _oc_PortableInterceptor_AdapterManagerId,
|  | 0 | ,
|  | sizeof(PortableInterceptor::AdapterManagerId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_AdapterName | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_AdapterName) | ,
|  | (char *)& | _oc_PortableInterceptor_AdapterName,
|  | 0 | ,
|  | sizeof(PortableInterceptor::AdapterName) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_AdapterState | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_AdapterState) | ,
|  | (char *)& | _oc_PortableInterceptor_AdapterState,
|  | 0 | ,
|  | sizeof(PortableInterceptor::AdapterState) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ObjectId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_ObjectId) | ,
|  | (char *)& | _oc_PortableInterceptor_ObjectId,
|  | 0 | ,
|  | sizeof(PortableInterceptor::ObjectId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ObjectReferenceFactory | ( | CORBA::tk_value | ,
|  | sizeof(_oc_PortableInterceptor_ObjectReferenceFactory) | ,
|  | (char *)& | _oc_PortableInterceptor_ObjectReferenceFactory,
|  | 0 | ,
|  | sizeof(PortableInterceptor::ObjectReferenceFactory) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ObjectReferenceTemplate | ( | CORBA::tk_value | ,
|  | sizeof(_oc_PortableInterceptor_ObjectReferenceTemplate) | ,
|  | (char *)& | _oc_PortableInterceptor_ObjectReferenceTemplate,
|  | 0 | ,
|  | sizeof(PortableInterceptor::ObjectReferenceTemplate) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ObjectReferenceTemplateSeq | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_ObjectReferenceTemplateSeq) | ,
|  | (char *)& | _oc_PortableInterceptor_ObjectReferenceTemplateSeq,
|  | 0 | ,
|  | sizeof(PortableInterceptor::ObjectReferenceTemplateSeq) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ORBId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_ORBId) | ,
|  | (char *)& | _oc_PortableInterceptor_ORBId,
|  | 0 | ,
|  | sizeof(PortableInterceptor::ORBId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ServerId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_ServerId) | ,
|  | (char *)& | _oc_PortableInterceptor_ServerId,
|  | 0 | ,
|  | sizeof(PortableInterceptor::ServerId) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableInterceptor::ObjectReferenceTemplateSeq & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableInterceptor::ObjectReferenceTemplate * | _tao_valuetype
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableInterceptor::ObjectReferenceFactory * | _tao_valuetype
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ObjectReferenceTemplateSeq * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const PortableInterceptor::ObjectReferenceTemplateSeq & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | PortableInterceptor::ObjectReferenceTemplate ** | value
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | PortableInterceptor::ObjectReferenceTemplate * | value
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | any,
|  | PortableInterceptor::ObjectReferenceFactory ** | value
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableInterceptor::ObjectReferenceTemplateSeq & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableInterceptor::ObjectReferenceTemplate *& | _tao_valuetype
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableInterceptor::ObjectReferenceFactory *& | _tao_valuetype
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const PortableInterceptor::ObjectReferenceTemplateSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::ObjectReferenceTemplateSeq *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | PortableInterceptor::ObjectReferenceTemplate *& | value
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | any,
|  | PortableInterceptor::ObjectReferenceFactory *& | value
| ) |

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

## Variable Documentation

const CORBA::Long _oc_PortableInterceptor_ObjectReferenceTemplate[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      52,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x506f7274),
      ACE_NTOHL (0x61626c65),
      ACE_NTOHL (0x496e7465),
      ACE_NTOHL (0x72636570),
      ACE_NTOHL (0x746f722f),
      ACE_NTOHL (0x4f626a65),
      ACE_NTOHL (0x63745265),
      ACE_NTOHL (0x66657265),
      ACE_NTOHL (0x6e636554),
      ACE_NTOHL (0x656d706c),
      ACE_NTOHL (0x6174653a),
      ACE_NTOHL (0x312e3000),
      24,
      ACE_NTOHL (0x4f626a65),
      ACE_NTOHL (0x63745265),
      ACE_NTOHL (0x66657265),
      ACE_NTOHL (0x6e636554),
      ACE_NTOHL (0x656d706c),
      ACE_NTOHL (0x61746500),
      2,
      CORBA::tk_null,

      3,
    }

const CORBA::Long _oc_PortableInterceptor_ObjectReferenceTemplateSeq[]`[static]`

const CORBA::Long _oc_PortableInterceptor_ServerId[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      37,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x506f7274),
      ACE_NTOHL (0x61626c65),
      ACE_NTOHL (0x496e7465),
      ACE_NTOHL (0x72636570),
      ACE_NTOHL (0x746f722f),
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x65724964),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      9,
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x65724964),
      ACE_NTOHL (0x0),
      CORBA::tk_string,
      0U,
    }